# Сервисы по заданию
services:
  # Сервис MediaWiki
  mediawiki:
    # Образ MediaWiki
    image: mediawiki
    # Автоматический перезапуск при сбое
    restart: always
    # проброс порта 80 из контейнера на порт 8080 хоста
    ports:
      - "8080:80"
    # связь с сервисом database
    links:
      - database
    # монтирование volume для хранения данных
    volumes:
      - images:/var/www/html/images

    # Сервис WordPress
  wordpress:
    # Образ WordPress
    image: wordpress:latest
    # Автоматический перезапуск при сбое
    ports:
      - "8082:80"
    restart: always
    volumes:
      - ./wordpress:/var/www/html

  # Сервис Gitea
  server:
    image: gitea/gitea:latest
    container_name: gitea
    restart: always
    environment:
      - USER_UID=1000
      - USER_GID=1000
    volumes:
      - ./data:/data
      - ./custom:/app/gitea/custom
      - ./log:/app/gitea/log
    ports:
      - "8081:3000"
    links:
      - database
    depends_on:
      - database

  # Сервис MariaDB
  database:
    # Образ MariaDB
    image: mariadb
    # Автоматический перезапуск при сбое
    restart: always
    # переменные окружения для настройки базы данных
    environment:
      # имя базы данных
      MYSQL_DATABASE: my_wiki
      # имя пользователя
      MYSQL_USER: user
      # пароль пользователя
      MYSQL_PASSWORD: user
      # случайный пароль для пользователя root
      MYSQL_RANDOM_ROOT_PASSWORD: 'yes'
    # монтирование volume для хранения данных
    volumes:
      - db:/var/lib/mysql

# тома для хранения данных
volumes:
  images:
  db:

